Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'git-pull.sh')
-rwxr-xr-xgit-pull.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/git-pull.sh b/git-pull.sh
index 2c7f432dc0..25adddfddf 100755
--- a/git-pull.sh
+++ b/git-pull.sh
@@ -171,6 +171,11 @@ case "$merge_head" in
echo >&2 "Cannot merge multiple branches into empty head"
exit 1
fi
+ if test true = "$rebase"
+ then
+ echo >&2 "Cannot rebase onto multiple branches"
+ exit 1
+ fi
;;
esac